Bug 1027299 - Asset table is not sortable after page 2
Asset table is not sortable after page 2
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity high
: GA
: ---
Assigned To: manstis
Lukáš Petrovický
:
Depends On:
Blocks: 1022758
  Show dependency treegraph
 
Reported: 2013-11-06 08:59 EST by Toshiya Kobayashi
Modified: 2016-07-31 21:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
repository_export_many_rules.zip (3.89 KB, application/zip)
2013-11-06 09:00 EST, Toshiya Kobayashi
no flags Details

  None (edit)
Description Toshiya Kobayashi 2013-11-06 08:59:42 EST
Description of problem:

Assuming you have more then 10 rules in Guvnor.

If you open "Assets" tab of a package, you can sort assets by clicking a table header (e.g. "Name").

But:

1) It sorts only 10 assets in the page 1. It should re-order all assets in the package and render.

2) If you move to page 2, clicking a table header doesn't have an effect.

I guess (1) and (2) are coupled so resolving (1) would fix (2) as well.


Steps to Reproduce:
1. Import repository_export_many_rules.zip which has 13 rules in defaultPackage
2. Open "defaultPackage" -> Assets tab
3. In page1, click "Name" header
4. Go to page2 and click "Name" header

Actual results:

page1) Sorts rules only from '01' to '10'. So it re-orders from '10' to '01'.

page2) No effect. It displays from '11' to '13'.

Expected results:

page1) Sorts all rules in the package. So it re-orders from '13' to '04'.

page2) Sorts all rules in the package. So it re-orders from '03' to '01'.
Comment 1 Toshiya Kobayashi 2013-11-06 09:00:54 EST
Created attachment 820387 [details]
repository_export_many_rules.zip
Comment 2 Toshiya Kobayashi 2013-11-06 09:02:33 EST
The issue exists in Guvnor 5.5.0.
Comment 7 Oscar Molina 2015-08-14 13:57:29 EDT
Hi,

This bug should be opened because the patch is not working. A customer is complaining about it. The resolution was included in the BRMS 5.3.1 Roll Up Patch #5 and listed as solved:

[BZ-1027299] Asset table is not sortable after page 2 

After a customer complain, we have tested in local with BRMS-5.3.1-standalone + Roll-up-patch#5 and it doesn't work.

We will ask the customer how critical this problem is for their business.

Best regards,
Oscar.

Note You need to log in before you can comment on or make changes to this bug.